#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/src2pkg/src2pkg.conf.new
config etc/src2pkg/DONT_PURGE.locales.new

echo "  The src2pkg package does not contain the libraries"
echo "  needed to create packages. Instead, you must first"
echo "  run 'src2pkg --setup' as root in order to compile"
echo "  them. Or you can choose to do that right now."
echo "  Would you like for me to run the src2pkg setup"
echo "  script right now? If you are using upgradepkg"
echo "  to install this package you should answer 'n'"
echo "  the first time you see this. Please answer either"
echo "  'y' for yes, or 'n' for no. The press ENTER."
echo -n " >"
read ANSWER
if [ "$ANSWER" = "y" -o "$ANSWER" = "yes" ] ; then
  cd /usr/src/src2pkg/src2pkg ;
  . ./src2pkg.setup
  if [ $? -eq 0 ] ; then
    echo "  Successfully compiled src2pkg binaries and libraries"
    echo "  Waiting 5 seconds to quit..."
    sleep 5
    exit 0
  else
    echo "  Compiling src2pkg binaries and libraries failed!"
    echo "  Waiting 5 seconds to quit..."
    sleep 5
    exit 1
  fi
else
 echo "  Skipping 'src2pkg --setup'. You can run it later"
 echo "  (as 'root') to finish setting up src2pkg."
 echo "  Waiting 5 seconds to quit..."
 sleep 5
fi
